Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.config
Interface ConfigurationModule

All Known Implementing Classes:
  ConfigurationModuleBootstrap, ConfigurationModuleClassloader, ConfigurationModuleDefaultLanguage, ConfigurationModuleEhealthTime, ConfigurationModuleEndpointDistributor, ConfigurationModuleHostNameVerifier, ConfigurationModuleLogging, ConfigurationModuleOCSP, ConfigurationModuleProperties, ConfigurationModuleProxy, ConfigurationModuleRegisterTransformers, ConfigurationModuleSecurityProvider, ConfigurationModuleServiceLoader, ConfigurationModuleSSL, ConfigurationModuleSSLVerifier, ConfigurationModuleSysOut, ConfigurationModuleSystemProps, ConfigurationModuleTrustStore, ConfigurationModuleVersion, ConfigurationModuleXmlSec

    public interface ConfigurationModule

Interface of a ConfigurationModule.

Every configuration module must have a default constructor. The module will be instantiated by using this constructor. The method init will initialise the configuration module.

Method Summary
`void` | `init(Configuration config)` Method that initialise the configuration module.
`void` | `unload()` Method that restores the configuration module and reset the system to the initial situation.

Method Detail

### init

    void init(Configuration config)
              throws TechnicalConnectorException

  Method that initialise the configuration module.

  Parameters:
    `config` -
  Throws:
    `TechnicalConnectorException`

### unload

    void unload()
                throws TechnicalConnectorException

  Method that restores the configuration module and reset the system to the initial situation.

  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.